#
# Please do not update/rebuild/touch this package before asking first
# to neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Display configuration library
Name:           libkscreen
Version: 5.27.5
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  cmake(Qt5LinguistTools)

BuildRequires:  cmake(Qt5WaylandClient)

BuildRequires:  pkgconfig(xrandr)

BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  cmake(KF5Config)
# jq executable not found, zsh completions won't work at their full capacity
BuildRequires:  jq

%rename plasma5-libkscreen

%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -f libkscreen5_qt.lang
%_kf5_categoriesdir/libkscreen.categories
%_kf5_bindir/kscreen-doctor
%_kf5_plugindir/kscreen
%_kf5_libexecdir/kscreen_backend_launcher
%_kf5_datadir/dbus-1/services/org.kde.kscreen.service
%_userunitdir/plasma-kscreen.service
%_kf5_datadir/zsh/site-functions/_kscreen-doctor

#--------------------------------------------------------------------

%define kf5kscreen_major 8
%define libkf5kscreen %mklibname kf5kscreen %{kf5kscreen_major}

%package -n %libkf5kscreen
Summary:        Display configuration library
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf5kscreen
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkf5kscreen
%_kf5_libdir/libKF5Screen.so.%{kf5kscreen_major}{,.*}
%_kf5_libdir/libKF5Screen.so.%{version}

#--------------------------------------------------------------------

%define kf5kscreendpms_major 8
%define libkf5kscreendpms %mklibname kf5kscreendpms %{kf5kscreendpms_major}

%package -n %libkf5kscreendpms
Summary:        Display configuration library
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf5kscreendpms
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkf5kscreendpms
%_kf5_libdir/libKF5ScreenDpms.so.%{kf5kscreen_major}{,.*}
%_kf5_libdir/libKF5ScreenDpms.so.%{version}

#--------------------------------------------------------------------

%define kf5kscreen_devel %mklibname kf5kscreen -d

%package -n %kf5kscreen_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kscreen = %{version}-%{release}
Requires:       %libkf5kscreendpms = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kscreen_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kscreen_devel
%_kf5_includedir/KScreen/
%_kf5_includedir/kscreen_version.h
%_kf5_libdir/libKF5Screen.so
%_kf5_libdir/libKF5ScreenDpms.so
%_kf5_libdir/pkgconfig/kscreen2.pc
%_kf5_libdir/cmake/KF5Screen/
%_kf5_mkspecsdir/qt_KScreen.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 libkscreen5_qt


%changelog
* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958049
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951962
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949087
- New version 5.27.3

* Tue Feb 28 2023 daviddavid <daviddavid> 5.27.2-2.mga9
+ Revision: 1945880
- add missing build dependency on jq

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945794
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944806
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942073
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935607
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930070
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923122
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907541
- New version 5.26.3

* Sun Nov 13 2022 neoclust <neoclust> 5.26.2-1.mga9
+ Revision: 1906843
- New version 5.26.2

* Sat Sep 17 2022 neoclust <neoclust> 5.25.90-2.mga9
+ Revision: 1889643
- Rebuild with a higher release than in release

* Sat Sep 17 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889480
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875472
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872319
- New version 5.25.3
- New version 5.24.5

* Sun Apr 10 2022 neoclust <neoclust> 5.24.4-2.mga9
+ Revision: 1848522
- New version 5.24.4
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766169
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756834
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750085
- New version 5.23.0

* Thu Oct 07 2021 neoclust <neoclust> 5.22.90-1.mga9
+ Revision: 1749946
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736179
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721764
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715397
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704274
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697444
- New version 5.21.2

* Sat Feb 27 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1692647
- New version 5.21.1

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654199
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645413
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639990
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637743
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635447
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620784
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609609
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603008
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598723
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1594016
- New version 5.19.1

* Fri May 15 2020 neoclust <neoclust> 5.18.90-1.mga8
+ Revision: 1583775
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580763
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557156
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550382
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548249
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547012
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496703
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90.1-1.mga8
+ Revision: 1487486
- New version 5.17.90.1

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487434
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464304
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460062
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456773
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455338
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453170
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448100
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437054
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-2.mga8
+ Revision: 1426357
- New version 5.16.4

* Thu Jul 11 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1420159
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386854
- New version 5.15.4

* Sun Mar 31 2019 umeabot <umeabot> 5.15.3-2.mga7
+ Revision: 1383100
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374937
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370560
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368600
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367377
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356184
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339321
- New version 5.14.4

* Tue Nov 27 2018 daviddavid <daviddavid> 5.14.2-2.mga7
+ Revision: 1336016
- BR pkgconfig(QJson) no more needed
- fix lib pkg name (libmajor is 7)

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324887
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1298954
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1250516
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204451
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200997
- New version 5.12.1

* Thu Jan 18 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194303
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185691
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174111
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172396
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162404
- New version 5.10.95

* Thu Aug 24 2017 neoclust <neoclust> 5.10.5-1.mga7
+ Revision: 1145684
- New version 5.10.5

* Sat Jul 22 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128210
- New version 5.10.4

* Sun Jul 16 2017 neoclust <neoclust> 5.10.3-1.mga7
+ Revision: 1123616
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104847
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089033
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078168
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070725
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065082
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064486
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063056
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060281
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057607
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053063
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052690
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048355
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044276
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042564
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041401
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039566
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021878
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014546
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009283
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999267
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998022
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994398
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986976
- Rebuild against kf5 5.20.0

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 984162
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927977
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922512
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914847
- New version 5.5.2

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913662
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910692
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908853
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904406
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900714
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898301
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889524
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874736
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869653
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862543
- New version 5.3.95

* Mon Aug 03 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 860894
- Add back po files

* Sat Jul 18 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 854990
- Rebuild with new name
- New version 5.3.2

* Tue Feb 10 2015 lmenut <lmenut> 1.0.5-4.mga5
+ Revision: 814604
- add upstream patch to fix crash in XRandr1.1 backend (bko#341485)

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 744607
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-2.mga5
+ Revision: 681566
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 lmenut <lmenut> 1.0.5-1.mga5
+ Revision: 663104
- Update to 1.0.5

* Mon Jul 14 2014 lmenut <lmenut> 1.0.4-2.mga5
+ Revision: 651801
- libkscreen-devel requires qjson-devel

* Sat Jul 12 2014 lmenut <lmenut> 1.0.4-1.mga5
+ Revision: 651525
- update to 1.0.4
- switch to pkgconfig() style BRs

* Sat Nov 23 2013 lmenut <lmenut> 1.0.2-1.mga4
+ Revision: 552388
- Update to 1.0.2
  update License & project URL

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 531508
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 1.0.1-2.mga4
+ Revision: 463763
- new version 1.0.1

* Fri Jul 19 2013 lmenut <lmenut> 1.0-2.mga4
+ Revision: 456222
- bump release to be higher than in mga3 update

* Mon Jun 17 2013 fwang <fwang> 1.0-1.mga4
+ Revision: 444040
- bump libmajor
- new version 1.0

* Sun May 26 2013 neoclust <neoclust> 0.0.92-1.mga4
+ Revision: 428281
- New version 0.0.92

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-2.mga3
+ Revision: 392795
- Fix requires in the devel package

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-1.mga3
+ Revision: 392779
- imported package libkscreen

